#include <SDL2/SDL.h>
#include <iostream>
#include <cmath>

#include "sprite.h"
 
int main() {
    SDL_Init( SDL_INIT_EVERYTHING );
   
    SDL_Window* window;
    window  = SDL_CreateWindow("SDL Window", 0, 0, 640, 480, 0);

    SDL_Renderer* renderer;
    renderer = SDL_CreateRenderer(window, -1, SDL_RENDERER_ACCELERATED);

    SDL_RenderSetLogicalSize( renderer, 640, 480 );

    // Load sprite
    Sprite bob ("bob.bmp", renderer);

    for (int i = 0; i < 1000; ++i) {
      // Clean scren
      SDL_SetRenderDrawColor( renderer, 0, 0, 0, 255 );
      SDL_RenderClear( renderer );

      // Draw picture
      int x, y, w, h;
      int xc = 320;
      int yc = 240;
      w = 200 + cos(i*1.0/10)*100;
      h = w;
      x = xc - w/2;
      y = yc - h/2;

      bob.move(x, y);
      bob.resize(w, h);
      bob.draw();
    
      // Display
      SDL_RenderPresent( renderer);

      // Wait
      SDL_Delay(10);

    }

}
